﻿using System;
using DssApiSamples.Core;

namespace DssApiSamples.ConsoleRunner
{
    /// <summary>
    /// An <see cref="IMessageWriter"/> class that writes messages to the Console.
    /// </summary>
    public class ConsoleMessageWriter : IMessageWriter
    {
        public void WriteLine(string message)
        {
            Console.WriteLine(message);
        }

        public void WriteLine(string format, params object[] args)
        {
            Console.WriteLine(format, args);
        }

        public void WriteLine()
        {
            Console.WriteLine();
        }
    }
}
