namespace DssApiSamples.Core
{
    /// <summary>
    /// Represents a single API code sample.
    /// </summary>
    public interface ISample
    {
        /// <summary>
        /// Executes the sample.
        /// </summary>
        /// <param name="writer">
        /// A <see cref="IMessageWriter"/> instance that the sample can use to write messages back to the host application.
        /// </param>
        void Execute(IMessageWriter writer);    
    }
}