﻿using System.Collections.Generic;

namespace DssApiSamples.Samples
{
    /// <summary>
    /// Represents a result in a row-based format (vs. column-based).
    /// </summary>
    public class RowBasedResult
    {
        /// <summary>
        /// The names of the columns (fields) in the result.
        /// </summary>
        public string[] ColumnNames { get; set; }

        /// <summary>
        /// The list of rows, where each row is an array of values.
        /// </summary>
        public List<object[]> Rows { get; set; }
    }
}
